# Class FakeLockManagerService

Namespace
  adas_core.Test.Services

Assembly
  adas-core.Test.dll

Represents a fake implementation of LockManagerService, typically used as a test double to provide controlled or simplified behavior in unit tests.

    public class FakeLockManagerService : LockManagerService

Inheritance
  object
  LockManagerService
  FakeLockManagerService

Inherited Members
  LockManagerService.WithLockAsync<T>(string, TimeSpan, Func<Task<T>>, CancellationToken)
  LockManagerService.WithLockAsync(string, TimeSpan, Func<Task>, CancellationToken)
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

Inherits all members from LockManagerService and is intended to be used in place of the real service when actual locking functionality is not required.

## Constructors

### FakeLockManagerService()

    public FakeLockManagerService()